OpenTTD Source: NetworkSettings Struct Reference

OpenTTD Source 1.11.0-RC1

Data Fields
NetworkSettings Struct Reference

All settings related to the network. More...

`#include <settings_type.h>`

## Data Fields
uint16 | sync_freq
| how often do we check whether we are still in-sync
uint8 | frame_freq
| how often do we send commands to the clients
uint16 | commands_per_frame
| how many commands may be sent each frame_freq frames?
uint16 | max_commands_in_queue
| how many commands may there be in the incoming queue before dropping the connection?
uint16 | bytes_per_frame
| how many bytes may, over a long period, be received per frame?
uint16 | bytes_per_frame_burst
| how many bytes may, over a short period, be received?
uint16 | max_init_time
| maximum amount of time, in game ticks, a client may take to initiate joining
uint16 | max_join_time
| maximum amount of time, in game ticks, a client may take to sync up during joining
uint16 | max_download_time
| maximum amount of time, in game ticks, a client may take to download the map
uint16 | max_password_time
| maximum amount of time, in game ticks, a client may take to enter the password
uint16 | max_lag_time
| maximum amount of time, in game ticks, a client may be lagging behind the server
bool | pause_on_join
| pause the game when people join
uint16 | server_port
| port the server listens on
uint16 | server_admin_port
| port the server listens on for the admin network
bool | server_admin_chat
| allow private chat for the server to be distributed to the admin network
char | server_name [NETWORK_NAME_LENGTH]
| name of the server
char | server_password [NETWORK_PASSWORD_LENGTH]
| password for joining this server
char | rcon_password [NETWORK_PASSWORD_LENGTH]
| password for rconsole (server side)
char | admin_password [NETWORK_PASSWORD_LENGTH]
| password for the admin network
bool | server_advertise
| advertise the server to the masterserver
char | client_name [NETWORK_CLIENT_NAME_LENGTH]
| name of the player (as client)
char | default_company_pass [NETWORK_PASSWORD_LENGTH]
| default password for new companies in encrypted form
char | connect_to_ip [NETWORK_HOSTNAME_LENGTH]
| default for the "Add server" query
char | network_id [NETWORK_SERVER_ID_LENGTH]
| network ID for servers
bool | autoclean_companies
| automatically remove companies that are not in use
uint8 | autoclean_unprotected
| remove passwordless companies after this many months
uint8 | autoclean_protected
| remove the password from passworded companies after this many months
uint8 | autoclean_novehicles
| remove companies with no vehicles after this many months
uint8 | max_companies
| maximum amount of companies
uint8 | max_clients
| maximum amount of clients
uint8 | max_spectators
| maximum amount of spectators
Year | restart_game_year
| year the server restarts
uint8 | min_active_clients
| minimum amount of active clients to unpause the game
uint8 | server_lang
| language of the server
bool | reload_cfg
| reload the config file before restarting
char | last_host [NETWORK_HOSTNAME_LENGTH]
| IP address of the last joined server.
uint16 | last_port
| port of the last joined server
bool | no_http_content_downloads
| do not do content downloads over HTTP

## Detailed Description

All settings related to the network.

Definition at line 249 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h